%define major   1
%define libname %mklibname traceevent %{major}
%define devname %mklibname traceevent -d

%global __provides_exclude_from ^%{_libdir}/traceevent/plugins

Name:           libtraceevent
Version:        1.8.4
Release:        %mkrel 1
Summary:        Library to parse raw trace event formats
Group:          System/Libraries
License:        LGPL-2.1-only AND LGPL-2.1-or-later AND GPL-2.0-only AND GPL-2.0-or-later
URL:            https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/
Source0:        https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/snapshot/libtraceevent-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  xmlto
BuildRequires:  asciidoc

%description
libtraceevent is a library to parse raw trace event formats.

%package -n %{libname}
Summary:        Library to parse raw trace event formats
Group:          System/Libraries
Requires:       %{_lib}traceevent-plugins = %{version}-%{release}

%description -n %{libname}
libtraceevent is a library to parse raw trace event formats.

%package -n %{_lib}traceevent-plugins
Summary:        Plugins for the Linux kernel trace event library
Group:          System/Libraries

%description -n %{_lib}traceevent-plugins
This package provides plugins for the libtraceevent library.

%package -n %{devname}
Summary:        Development headers of %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       traceevent-devel = %{version}-%{release}

%description -n %{devname}
Development headers files of %{name}.

%prep
%autosetup -p1

%build
%meson \
    --default-library=shared \
    -Dhtmldir=%{_docdir}/%{name} \
    -Dplugindir=%{_libdir}/traceevent/plugins
%meson_build
%meson_build docs

%install
%meson_install

%files -n %{libname}
%license LICENSES/LGPL-2.1
%license LICENSES/GPL-2.0
%{_libdir}/libtraceevent.so.%{major}
%{_libdir}/libtraceevent.so.%{version}

%files -n %{_lib}traceevent-plugins
%license LICENSES/LGPL-2.1
%license LICENSES/GPL-2.0
%{_libdir}/traceevent/

%files -n %{devname}
%{_docdir}/%{name}/
%{_includedir}/traceevent/
%{_libdir}/libtraceevent.so
%{_libdir}/pkgconfig/libtraceevent.pc
%{_mandir}/man3/tep_*.3.*
%{_mandir}/man3/libtraceevent.3.*
%{_mandir}/man3/trace_seq*.3.*
%{_mandir}/man3/kbuffer_*.3.*


%changelog
* Sun May 18 2025 ghibo <ghibo> 1.8.4-1.mga9
+ Revision: 2184545
- backport libtraceevent for mga9

* Thu Nov 28 2024 daviddavid <daviddavid> 1.8.4-1.mga10
+ Revision: 2119606
- initial package libtraceevent

